Bug 1213964 - tracer: RPM packages for Fedora 21
Summary: tracer: RPM packages for Fedora 21
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugins-extras
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 1217768 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-21 16:01 UTC by Jakub Kadlčík
Modified: 2015-12-02 19:29 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-12-02 19:29:17 UTC


Attachments (Terms of Use)

Description Jakub Kadlčík 2015-04-21 16:01:20 UTC
I want to ask you, if it would be possible to continue building dnf-plugins-extras packages for Fedora 21.

Description of problem:
The latest version of package dnf-plugins-extras-tracer in the repository is basically broken. It throws traceback *every* time. In the next commit, you fixed it by yourself, @ignatenkobrain and for F22 it works, but there are missing builds for F21.


Version-Release number of selected component (if applicable):
- Latest build attempt for F21: dnf-plugins-extras-0.0.5-1.fc21 (failed)
- Latest available version: dnf-plugins-extras-0.0.4-1.fc21 (broken as described)


How reproducible:
Run following commands on Fedora 21:

sudo dnf install dnf-plugins-extras-tracer -y
sudo dnf reinstall dnf-plugins-extras-tracer -y


Actual results:
Traceback (most recent call last):
  File "/bin/dnf", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 182, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 141, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 160, in resolving
    base.do_transaction()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 221, in do_transaction
    self.plugins.run_transaction()
  File "/usr/lib/python2.7/site-packages/dnf/plugin.py", line 82, in fn
    dnf.util.mapall(operator.methodcaller(method), self.plugins)
  File "/usr/lib/python2.7/site-packages/dnf/util.py", line 157, in mapall
    return list(map(fn, *seq))
  File "/usr/lib/python2.7/site-packages/dnf-plugins/tracer.py", line 59, in transaction
    args = ["tracer", "-n"] + list(installed | erased)
NameError: global name 'installed' is not defined


Expected results:
Not to print traceback.


Additional info:
Related reports: https://bugzilla.redhat.com/show_bug.cgi?id=1187763

Comment 1 Honza Silhan 2015-07-22 09:49:46 UTC
*** Bug 1217768 has been marked as a duplicate of this bug. ***

Comment 2 Fedora End Of Life 2015-11-04 10:05:42 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Jan Kurik 2015-12-02 19:29:22 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.